org.apache.ignite.internal.visor.diagnostic

## Class VisorPageLocksTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorPageLocksTrackerArgs,Map<ClusterNode,VisorPageLocksResult>,VisorPageLocksResult>
  - - org.apache.ignite.internal.visor.diagnostic.VisorPageLocksTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorPageLocksTrackerArgs>,Map<ClusterNode,VisorPageLocksResult>>

    @GridInternal
    public class VisorPageLocksTask
    extends VisorMultiNodeTask<VisorPageLocksTrackerArgs,Map<ClusterNode,VisorPageLocksResult>,VisorPageLocksResult>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorPageLocksTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorPageLocksTrackerArgs,VisorPageLocksResult>` `job(VisorPageLocksTrackerArgs arg)`
`protected Collection<UUID>` `jobNodes(VisorTaskArgument<VisorPageLocksTrackerArgs> arg)`
`protected @Nullable Map<ClusterNode,VisorPageLocksResult>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorPageLocksTask

    public VisorPageLocksTask()

### Method Detail

#### job

    protected VisorJob<VisorPageLocksTrackerArgs,VisorPageLocksResult> job(VisorPageLocksTrackerArgs arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorPageLocksTrackerArgs,Map<ClusterNode,VisorPageLocksResult>,VisorPageLocksResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### jobNodes

    protected Collection<UUID> jobNodes(VisorTaskArgument<VisorPageLocksTrackerArgs> arg)

Overrides:
  `jobNodes` in class `VisorMultiNodeTask<VisorPageLocksTrackerArgs,Map<ClusterNode,VisorPageLocksResult>,VisorPageLocksResult>`
Returns:
  Collection of nodes IDs where jobs should be mapped.

#### reduce0

    @Nullable
    protected @Nullable Map<ClusterNode,VisorPageLocksResult> reduce0(List<ComputeJobResult> results)
                                                                         throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorPageLocksTrackerArgs,Map<ClusterNode,VisorPageLocksResult>,VisorPageLocksResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021